use serde::{Deserialize, Serialize};
use validator::Validate;

#[derive(Debug, Validate, Deserialize, Serialize)]
pub struct AuthenticateWithPassword {
    #[validate(
        required(message = "ValidateAccountNameRequired"),
        length(min = 1, message = "ValidateAccountNameRequired")
    )]
    pub username: Option<String>,
    #[validate(
        required(message = "ValidateAccountPasswordRequired"),
        length(min = 1, message = "ValidateAccountPasswordRequired")
    )]
    pub password: Option<String>,
}

#[derive(Debug, Validate, Deserialize, Serialize)]
pub struct AuthenticateGooleAccountReq {
    #[validate(
        required(message = "ValidateAccountIdTokenRequired"),
        length(min = 1, message = "ValidateAccountIdTokenRequired")
    )]
    pub id_token: Option<String>,
}

#[derive(Debug, Validate, Deserialize, Serialize)]
pub struct RefreshToken {
    pub token: String,
}
