use std::sync::Arc;

use domain::entities::account::Account;

#[derive(Debug, Clone)]
pub struct Context {
    pub account: Option<Arc<Account>>,
    pub token: Option<Arc<String>>,
    pub lang_tag: Arc<String>,
}

impl Context {
    pub fn get_account(&self) -> Option<Arc<Account>> {
        if let Some(account) = &self.account {
            Some(account.clone())
        } else {
            None
        }
    }

    pub fn get_token(&self) -> Option<Arc<String>> {
        if let Some(token) = &self.token {
            Some(token.clone())
        } else {
            None
        }
    }

    pub fn get_lang_tag(&self) -> &String {
        &self.lang_tag
    }
}
